module Roundhouse
  def self.hook_rails!
    # no op
    # This may be completely removed in the future
    # Those extensions make sense for Sidekiq, but do
    # not make sense for Roundhouse
  end

  # Removes the generic aliases which MAY clash with names of already
  #  created methods by other applications. The methods `roundhouse_delay`,
  #  `roundhouse_delay_for` and `roundhouse_delay_until` can be used instead.
  def self.remove_delay!
    # no op
    # This may be completely removed in the future
    # Those extensions make sense for Sidekiq, but do
    # not make sense for Roundhouse
  end

  class Rails < ::Rails::Engine
    initializer 'roundhouse' do
      Roundhouse.hook_rails!
    end
  end if defined?(::Rails)
end
