# -*- encoding: utf-8 -*-
# stub: roundhouse-x 0.3.1 ruby lib

Gem::Specification.new do |s|
  s.name = "roundhouse-x".freeze
  s.version = "0.3.1"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Ho-Sheng Hsiao".freeze, "Mike Perham".freeze]
  s.date = "2015-11-04"
  s.description = "Round-robin load-balanced background processing for Ruby.".freeze
  s.email = ["hosh@shopapps.co".freeze, "mperham@gmail.com".freeze]
  s.executables = ["roundhouse".freeze, "roundhousectl".freeze]
  s.files = ["bin/roundhouse".freeze, "bin/roundhousectl".freeze]
  s.homepage = "http://roundhouse.shopapps.io".freeze
  s.licenses = ["LGPL-3.0".freeze]
  s.rubygems_version = "3.3.7".freeze
  s.summary = "Round-robin load-balanced background processing for Ruby".freeze

  s.installed_by_version = "3.3.7" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<redis>.freeze, ["~> 3.2", ">= 3.2.1"])
    s.add_runtime_dependency(%q<redis-namespace>.freeze, ["~> 1.5", ">= 1.5.2"])
    s.add_runtime_dependency(%q<connection_pool>.freeze, ["~> 2.2", ">= 2.2.0"])
    s.add_runtime_dependency(%q<celluloid>.freeze, ["~> 0.17.2"])
    s.add_runtime_dependency(%q<json>.freeze, ["~> 1.0"])
    s.add_runtime_dependency(%q<wolverine>.freeze, ["~> 0.3.3"])
    s.add_development_dependency(%q<sinatra>.freeze, ["~> 1.4", ">= 1.4.6"])
    s.add_development_dependency(%q<minitest>.freeze, ["~> 5.7", ">= 5.7.0"])
    s.add_development_dependency(%q<rake>.freeze, ["~> 10.0"])
    s.add_development_dependency(%q<rails>.freeze, ["~> 4", ">= 3.2.0"])
  else
    s.add_dependency(%q<redis>.freeze, ["~> 3.2", ">= 3.2.1"])
    s.add_dependency(%q<redis-namespace>.freeze, ["~> 1.5", ">= 1.5.2"])
    s.add_dependency(%q<connection_pool>.freeze, ["~> 2.2", ">= 2.2.0"])
    s.add_dependency(%q<celluloid>.freeze, ["~> 0.17.2"])
    s.add_dependency(%q<json>.freeze, ["~> 1.0"])
    s.add_dependency(%q<wolverine>.freeze, ["~> 0.3.3"])
    s.add_dependency(%q<sinatra>.freeze, ["~> 1.4", ">= 1.4.6"])
    s.add_dependency(%q<minitest>.freeze, ["~> 5.7", ">= 5.7.0"])
    s.add_dependency(%q<rake>.freeze, ["~> 10.0"])
    s.add_dependency(%q<rails>.freeze, ["~> 4", ">= 3.2.0"])
  end
end
